summaryrefslogtreecommitdiff
path: root/test/integration/test-bug-718329-support-data.tar-uncompressed
diff options
context:
space:
mode:
authorDavid Kalnischkies <david@kalnischkies.de>2015-03-10 00:59:44 +0100
committerDavid Kalnischkies <david@kalnischkies.de>2015-03-16 18:01:54 +0100
commit25b86db159fbc3c043628e285c0c1ef24dec2c6e (patch)
treeeee3860a1a0ff542959db83dcf8e7ffafad91bf1 /test/integration/test-bug-718329-support-data.tar-uncompressed
parentb209edfa318e89df31a2dcae82c3d72b48c1e77f (diff)
test exitcode as well as string equality
We use test{success,failure} now all over the place in the framework, so its only consequencial to do this in the situations in which we test for a specific output as well. Git-Dch: Ignore
Diffstat (limited to 'test/integration/test-bug-718329-support-data.tar-uncompressed')
-rwxr-xr-xtest/integration/test-bug-718329-support-data.tar-uncompressed31
1 files changed, 31 insertions, 0 deletions
diff --git a/test/integration/test-bug-718329-support-data.tar-uncompressed b/test/integration/test-bug-718329-support-data.tar-uncompressed
new file mode 100755
index 000000000..d2845f768
--- /dev/null
+++ b/test/integration/test-bug-718329-support-data.tar-uncompressed
@@ -0,0 +1,31 @@
+#!/bin/sh
+set -e
+
+test_process_package_with_compression() {
+ COMPRESSOR="$1"
+ DATA_TAR="$2"
+
+ msgmsg "Testing apt-ftparchive with compression type: $COMPRESSOR"
+
+ buildsimplenativepackage 'pkg' 'all' '1.0' '' '' 'some descr' '' '' '' "$COMPRESSOR"
+ testsuccessequal "debian-binary
+control.tar.gz
+$DATA_TAR" ar t incoming/pkg_1.0_all.deb
+
+ testequal "Package: pkg" echo "$(aptftparchive packages incoming/|grep ^Package)"
+
+ testsuccessequal "usr/bin/pkg-all pkg
+usr/share/doc/pkg/FEATURES pkg
+usr/share/doc/pkg/changelog pkg
+usr/share/doc/pkg/copyright pkg" aptftparchive contents incoming/
+
+ rm -rf incoming/*
+}
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+
+setupenvironment
+test_process_package_with_compression "gzip" "data.tar.gz"
+test_process_package_with_compression "none" "data.tar"
+test_process_package_with_compression "xz" "data.tar.xz"